# -*- coding: utf-8 -*-


class ReportGenerationException(Exception):
    """Ошибка создания отчета"""


class SendReportException(Exception):
    """Ошибка отправки отчета"""
    def __init__(self):
        self.message = u"Ошибка при отправке данных по МО"


class ConnectingAtSendingReportException(Exception):
    """Ошибка соедиения при отправке отчета"""
    def __init__(self):
        self.message = (
            u"Ошибка соединения с удаленным сервером "
            u"при отправке данных по МО")


class SOAPClientCreateException(Exception):
    """Ошибка создания SOAP клиента"""

    def __init__(self):
        self.message = u'Ошибка при создании SOAP клиента'


class ReportFormRowLogicException(Exception):
    """Ошибка в логике сохранения модели ReportFormRow"""


class LostReportFormRowException(Exception):
    """Исключение которое генерируется в случае если отчетность собрана а,
       данные отсутствуют"""


class XMLException(Exception):
    """Исключение при формировании файла"""


class XMLRenderException(XMLException):
    """Исключение возникающее при рендеринге XML"""
    def __init__(self):
        self.message = u"Ошибка при формировании XML"


class XMLWriteException(XMLException):
    """Исключение возникающее при записи XML файла"""


class DocumentCreateException(Exception):
    """Ошибка при создании документа"""

    def __init__(self):

        self.message = (
            u'Ошибка при формировании '
            u'документа по МО')


class NoDataInMo(Exception):
    """
    В МО нет садов по которым собираются данные
    """

    def __init__(self, message=None):

        self.message = message or (
            u'В МО нет садов '
            u'для отправки в ЛКИ')
